
Redmine - Defect #23395

Markdown formatter crashes

2016-07-21 14:05 - Andreas Kohlbecker

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.0

Description

The markdown formatter crashes redmine 3.3.0 on interpreting the following incomplete markdown snipped.

 [areas.php" and "points.php]()

 This markdown has been created by converting textile to markdown using pandoc, see also #22005

Related issues:

Is duplicate of Redmine - Defect #23246: Saving an empty Markdown image tag i... Closed

History

#1 - 2016-07-21 14:14 - Andreas Kohlbecker

This is the according stack trace:

  lib/redmine/helpers/url.rb:26:in `uri_with_safe_scheme?'

  lib/redmine/wiki_formatting/markdown/formatter.rb:28:in `link'

  lib/redmine/wiki_formatting/markdown/formatter.rb:60:in `render'

  lib/redmine/wiki_formatting/markdown/formatter.rb:60:in `to_html'

  lib/redmine/wiki_formatting.rb:89:in `to_html'

  app/helpers/application_helper.rb:598:in `textilizable'

  app/views/wiki/_content.html.erb:2:in `_app_views_wiki__content_html_erb__4530570473966196404_68637680'

  app/views/wiki/show.html.erb:47:in `_app_views_wiki_show_html_erb___3335969183249968685_67365760'

  app/controllers/wiki_controller.rb:114:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 It is most probably the missing URI which processed in a not nil save manner which is causing the crash.

#2 - 2016-07-22 04:14 - Toshi MARUYAMA

- Category changed from Wiki to Text formatting

#3 - 2016-07-22 04:15 - Toshi MARUYAMA

- Related to Defect #23246: Saving an empty Markdown image tag in Wiki pages causes internal server error added

#4 - 2016-07-22 04:21 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on 3.3-stable r15722. I think #23246 fixed it.

#5 - 2016-07-22 11:48 - Viktor Berke

I cannot reproduce it either with r15607 applied.

You can try it for yourself, Andreas, just apply this to your instance:

http://www.redmine.org/projects/redmine/repository/revisions/15607/diff/trunk/lib/redmine/helpers/url.rb

#6 - 2016-07-22 16:31 - Andreas Kohlbecker

I can confirm that #23246 fixed it

2025-05-02 1/2

https://www.redmine.org/issues/22005
https://www.redmine.org/projects/redmine/repository/svn/revisions/15722
https://www.redmine.org/issues/23246
https://www.redmine.org/projects/redmine/repository/svn/revisions/15607
http://www.redmine.org/projects/redmine/repository/revisions/15607/diff/trunk/lib/redmine/helpers/url.rb
https://www.redmine.org/issues/23246


#7 - 2016-07-22 18:59 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Thanks for your feedback, the fix will be included in 3.3.1 and 3.2.4.

#8 - 2016-07-23 04:34 - Toshi MARUYAMA

- Related to deleted (Defect #23246: Saving an empty Markdown image tag in Wiki pages causes internal server error)

#9 - 2016-07-23 04:34 - Toshi MARUYAMA

- Is duplicate of Defect #23246: Saving an empty Markdown image tag in Wiki pages causes internal server error added
